%global luaver    5.3
%global lualibdir %{_libdir}/lua/%{luaver}
%global luapkgdir %{_datadir}/lua/%{luaver}

Name:           lua-lpeg
Version:        1.0.2
Release:        %mkrel 2
Summary:        Parsing Expression Grammars for Lua

Group:          Development/Other
License:        MIT
URL:            http://www.inf.puc-rio.br/~roberto/lpeg/
Source0:        http://www.inf.puc-rio.br/~roberto/lpeg/lpeg-%{version}.tar.gz

BuildRequires:  pkgconfig(lua) >= %{luaver}
Requires:       lua%{luaver} >= %{luaver}

%description
LPeg is a new pattern-matching library for Lua, based on Parsing Expression
Grammars (PEGs).

%prep
%setup -q -n lpeg-%{version}

%{__sed} -i -e "s|/usr/bin/env lua|%{_bindir}/lua%{luaver}|" test.lua
%{__chmod} -x test.lua

%build
%make_build COPT="%{optflags}"

%install
%{__mkdir_p} %{buildroot}%{lualibdir}
%{__mkdir_p} %{buildroot}%{luapkgdir}
%{__install} -p lpeg.so %{buildroot}%{lualibdir}/lpeg.so.%{version}
ln -s lpeg.so.%{version} %{buildroot}%{lualibdir}/lpeg.so
%{__install} -p -m 0644 re.lua %{buildroot}%{luapkgdir}


%check
lua test.lua

%files
%doc HISTORY lpeg.html re.html lpeg-128.gif test.lua
%{lualibdir}/*
%{luapkgdir}/*


%changelog
* Wed Aug 05 2020 joequant <joequant> 1.0.2-2.mga8
+ Revision: 1611170
- update to 5.3

* Sat May 23 2020 kekepower <kekepower> 1.0.2-1.mga8
+ Revision: 1587079
- Update to version 1.0.2
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)

* Thu Feb 13 2020 umeabot <umeabot> 1.0.1-6.mga8
+ Revision: 1514942
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.0.1-5.mga7
+ Revision: 1299372
- Mageia 7 Mass Rebuild

* Fri Aug 17 2018 shlomif <shlomif> 1.0.1-4.mga7
+ Revision: 1252212
- Rebuild due to broken rpm

* Fri Apr 27 2018 daviddavid <daviddavid> 1.0.1-3.mga7
+ Revision: 1222850
- fix lua version in test.lua file

* Fri Apr 27 2018 daviddavid <daviddavid> 1.0.1-2.mga7
+ Revision: 1222840
- rebuild against lua 5.3

* Wed Apr 04 2018 kekepower <kekepower> 1.0.1-1.mga7
+ Revision: 1215167
- Update to version 1.0.1

* Wed Jan 06 2016 shlomif <shlomif> 0.12.2-1.mga6
+ Revision: 920005
- Importing from Fedora. Thanks!

